package com.pcloud.book.rightsSetting.enums;

/**
 * @描述：权益类型
 * @作者：zhuyajie
 * @创建时间：17:36 2020/4/19
 * @版本：1.0
 */
public enum RightsTypeEnum {
    /**
     * 立享
     */
    BASE("BASE", 0),
    /**
     * 立享
     */
    NOW("NOW", 1),
    /**
     * 每周
     */
    WEEK("WEEK", 2),
    /**
     * 长期
     */
    LONG_TERM("LONG_TERM", 3),

    /**
     * 修改编号
     */
    UP_NUMBER("UPDATE_NUMBER", 4);

    public final String value;
    public final Integer code;

    RightsTypeEnum(String value, Integer code) {
        this.value = value;
        this.code = code;
    }
}
